SpeculativeRetryParam (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class SpeculativeRetryParam

- java.lang.Object
- - org.apache.cassandra.schema.SpeculativeRetryParam

-     public final class SpeculativeRetryParam
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpeculativeRetryParam.Kind`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SpeculativeRetryParam` | `ALWAYS`
    `static SpeculativeRetryParam` | `DEFAULT`
    `static SpeculativeRetryParam` | `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpeculativeRetryParam` | `always()`
    `static SpeculativeRetryParam` | `custom(double value)`
    `boolean` | `equals(java.lang.Object o)`
    `static SpeculativeRetryParam` | `fromString(java.lang.String value)`
    `int` | `hashCode()`
    `SpeculativeRetryParam.Kind` | `kind()`
    `static SpeculativeRetryParam` | `none()`
    `static SpeculativeRetryParam` | `percentile(double value)`
    `double` | `threshold()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final SpeculativeRetryParam NONE

    - #### ALWAYS

          public static final SpeculativeRetryParam ALWAYS

    - #### DEFAULT

          public static final SpeculativeRetryParam DEFAULT

  - ### Method Detail

    - #### kind

          public SpeculativeRetryParam.Kind kind()

    - #### threshold

          public double threshold()

    - #### none

          public static SpeculativeRetryParam none()

    - #### always

          public static SpeculativeRetryParam always()

    - #### custom

          public static SpeculativeRetryParam custom(double value)

    - #### percentile

          public static SpeculativeRetryParam percentile(double value)

    - #### fromString

          public static SpeculativeRetryParam fromString(java.lang.String value)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation